%define module	pygraphviz

Summary:	Python interface to Graphviz
Name:		python-%{module}
Version:	1.1
Release:	%mkrel 4
Source0:	%{module}-%{version}.tar.gz
License:	BSD
Group:		Development/Python
Url:		https://networkx.lanl.gov/pygraphviz
Requires:	graphviz >= 2.0
BuildRequires:	graphviz-devel >= 2.0
BuildRequires:	python-devel
BuildRequires:	python-sphinx

%description
PyGraphviz is a Python interface to the Graphviz graph layout and
visualization package.

With PyGraphviz, you can create, edit, read, write, and draw graphs
using Python to access the Graphviz graph data structure and layout
algorithms.


%prep
%setup -q -n %{module}-%{version}

%build
PYTHONDONTWRITEBYTECODE= %__python setup.py build
pushd doc
export PYTHONPATH=`dir -d ../build/lib.linux*`
%make html
popd

%install
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot} --record=FILE_LIST

%files -f FILE_LIST
%doc doc/build/html examples


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.1-4.mga3
+ Revision: 379361
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 1.1-3.mga3
+ Revision: 324745
- rebuild for Mga3 Beta1

* Sun Aug 19 2012 kamil <kamil> 1.1-2.mga3
+ Revision: 282125
- adapt for Mageia
- imported package python-pygraphviz

